Package org.eclipse.birt.report.model.api

# Class OdaDataSourceHandle

java.lang.Object
org.eclipse.birt.report.model.api.DesignElementHandle
org.eclipse.birt.report.model.api.ReportElementHandle
org.eclipse.birt.report.model.api.DataSourceHandle
org.eclipse.birt.report.model.api.OdaDataSourceHandle

All Implemented Interfaces:
  `org.eclipse.birt.report.model.elements.interfaces.IDataSourceModel`, `org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel`, `org.eclipse.birt.report.model.elements.interfaces.IOdaDataSourceModel`, `org.eclipse.birt.report.model.elements.interfaces.IOdaExtendableElementModel`

public class OdaDataSourceHandle extends DataSourceHandle implements org.eclipse.birt.report.model.elements.interfaces.IOdaDataSourceModel, org.eclipse.birt.report.model.elements.interfaces.IOdaExtendableElementModel
Represents a extended data source.

See Also:
  - `OdaDataSource`

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`element`

### Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`module`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDataSourceModel

`AFTER_CLOSE_METHOD, AFTER_OPEN_METHOD, BEFORE_CLOSE_METHOD, BEFORE_OPEN_METHOD`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel

`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IOdaDataSourceModel

`DESIGNER_STATE_PROP, DRIVER_NAME_PROP, EXTERNAL_CONNECTION_NAME, PRIVATE_DRIVER_PROPERTIES_PROP, PUBLIC_DRIVER_PROPERTIES_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IOdaExtendableElementModel

`EXTENSION_ID_PROP`

## Constructor Summary

Constructors
Constructor
Description
`OdaDataSourceHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Constructs an extended data source handle with the given design and the element.

## Method Summary

Modifier and Type
Method
Description
`IElementDefn`
`getDefn()`
Returns the element definition of the element this handle represents.
`byte[]`
`getDesigerStateContentAsBlob()`
Returns the content of designer state as the byte array.
`String`
`getDesigerStateContentAsString()`
Returns the content of designer state as the string.
`String`
`getDesigerStateVersion()`
Returns the version of designer state.
`OdaDesignerStateHandle`
`getDesignerState()`
Returns the oda designer state.
`String`
`getDriverName()`
Deprecated.
This property is removed.
`String`
`getExtensionID()`
Returns ID of the extension which extends this ODA data source.
`String`
`getExtensionName()`
Deprecated.
use `getExtensioID()`
`List`
`getExtensionPropertyDefinitionList()`
Returns the list of extension property definition.
`String`
`getExternalConnectionName()`
`String`
`getPrivateDriverProperty(String name)`
Returns a private driver property value with the given property name.
`Iterator`
`privateDriverPropertiesIterator()`
Returns the iterator for the private driver property list.
`void`
`setDesigerStateContentAsBlob(byte[] content)`
Returns the content of designer state as the byte.
`void`
`setDesigerStateContentAsString(String content)`
Returns the content of designer state as the string.
`void`
`setDesigerStateVersion(String version)`
Returns the version of designer state.
`OdaDesignerStateHandle`
`setDesignerState(OdaDesignerState designerState)`
Sets the designer state for a oda data source.
`void`
`setDriverName(String driverName)`
Deprecated.
This property is removed.
`void`
`setExternalConnectionName(String externalConnectionName)`
`void`
`setPrivateDriverProperty(String name, String value)`
Sets a private driver property value with the given name and value.

### Methods inherited from class org.eclipse.birt.report.model.api.DataSourceHandle

`getAfterClose, getAfterOpen, getBeforeClose, getBeforeOpen, setAfterClose, setAfterOpen, setBeforeClose, setBeforeOpen`

### Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

### Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getTagType, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError, slotsIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OdaDataSourceHandle

public OdaDataSourceHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Constructs an extended data source handle with the given design and the element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

Parameters:
  `module` - the module
  `element` - the model representation of the element

## Method Details

### getExtensionName

@Deprecated public String getExtensionName()
Deprecated.
use `getExtensioID()`
Returns the extension name defined by the extended item.

Returns:
  the extension name as a string

### getExtensionID

public String getExtensionID()
Returns ID of the extension which extends this ODA data source.

Returns:
  the extension ID

### setDriverName

@Deprecated public void setDriverName(String driverName) throws SemanticException
Deprecated.
This property is removed.
Sets the driver name.

Parameters:
  `driverName` - the name to set
Throws:
  `SemanticException` - if this property is locked.

### getDriverName

@Deprecated public String getDriverName()
Deprecated.
This property is removed.
Returns the driver name.

Returns:
  the driver name

### privateDriverPropertiesIterator

public Iterator privateDriverPropertiesIterator()
Returns the iterator for the private driver property list. The item over the iterator is the instance of `ExtendedPropertyHandle`.

Returns:
  the iterator over private driver property list defined on this data source.
See Also:
  - `ExtendedProperty`

### getPrivateDriverProperty

public String getPrivateDriverProperty(String name)
Returns a private driver property value with the given property name.

Parameters:
  `name` - the name of a public driver property
Returns:
  a public driver property value

### setPrivateDriverProperty

public void setPrivateDriverProperty(String name, String value) throws SemanticException
Sets a private driver property value with the given name and value. If the property does not exist, it will be added into the property list. If the property already exists, the value will be overwritten.

Parameters:
  `name` - the name of a public driver property
  `value` - the value of a public driver property
Throws:
  `SemanticException` - if `name` is `null` or an empty string after trimming.

### getDefn

public IElementDefn getDefn()
Returns the element definition of the element this handle represents.

Overrides:
  `getDefn` in class `DesignElementHandle`
Returns:
  the element definition of the element this handle represents.

### getExtensionPropertyDefinitionList

public List getExtensionPropertyDefinitionList()
Returns the list of extension property definition. All these properties are just those defined in extension plugin.

Returns:
  the list of extension property definition.

### getDesigerStateVersion

public String getDesigerStateVersion()
Returns the version of designer state.

Returns:
  the version of designer state.

### setDesigerStateVersion

public void setDesigerStateVersion(String version) throws SemanticException
Returns the version of designer state.

Parameters:
  `version` - the version of designer state.
Throws:
  `SemanticException` - if designer state property is locked.

### getDesigerStateContentAsString

public String getDesigerStateContentAsString()
Returns the content of designer state as the string.

Returns:
  the content of designer state as the string.

### setDesigerStateContentAsString

public void setDesigerStateContentAsString(String content) throws SemanticException
Returns the content of designer state as the string.

Parameters:
  `content` - the content of designer state as the string.
Throws:
  `SemanticException` - if designer state property is locked.

### getDesigerStateContentAsBlob

public byte[] getDesigerStateContentAsBlob()
Returns the content of designer state as the byte array.

Returns:
  the content of designer state as the byte array.

### setDesigerStateContentAsBlob

public void setDesigerStateContentAsBlob(byte[] content) throws SemanticException
Returns the content of designer state as the byte.

Parameters:
  `content` - the content of designer state as the byte.
Throws:
  `SemanticException` - if designer state property is locked.

### getDesignerState

public OdaDesignerStateHandle getDesignerState()
Returns the oda designer state.

Returns:
  a handle to the designer state property, return `null` if the designer state.
See Also:
  - `OdaDesignerStateHandle`

### setDesignerState

public OdaDesignerStateHandle setDesignerState(OdaDesignerState designerState) throws SemanticException
Sets the designer state for a oda data source.

Parameters:
  `designerState` - new designer state
Returns:
  a handle to the designer state
Throws:
  `SemanticException` - if member of the designer state is not valid.

### getExternalConnectionName

public String getExternalConnectionName()

### setExternalConnectionName

public void setExternalConnectionName(String externalConnectionName) throws SemanticException

Throws:
  `SemanticException`